Is WordPress.com leaving Firefox 3.x (even 3.6.x) behind?